<div style="text-transform: capitalize;">
<mp-label iri="[[this]]">
</mp-label>
</div>
<div style="padding-top: 18px; height: inherit;">
<bs-tab-container class="card-modal-tabs" default-active-key="images" id="tab-container">
<bs-tabs mount-on-enter="true">
<bs-tab event-key="images" title="[[i18n 'images' bundle='languages/resource_itemcardmedia' locale=this.lang]]">
<div class="carousel-container">
<semantic-carousel no-result-template="{{>  noImages}}" options='{"fade": true, "lazyLoad": true }' query='SELECT DISTINCT ?imgURL ?isMainRep
                                          WHERE {
                                            {
                                              <[[this]]>  a ?type ;
                                              FILTER(?type != rso:EX_Digital_Image) .
                                              ?representationProp rdfs:subPropertyOf* crm:P138_epresents .
                                              ?representation ?representationProp <[[this]]> .

                                              OPTIONAL {
                                                <[[this]]>  ?representationProp ?representation .
                                                ?representation a rso:EX_Digital_Image ;
                                                                crm:P1_is_identified_by/rso:PX_has_file_name ?fileName.
                                                BIND(CONCAT("/proxy/IIIF/iiif/2/", ?fileName, "/full/!640,480/0/default.jpg") AS ?uploadIiifUrl)
                                              }
                                          
                                              OPTIONAL {
                                                ?representation ?representationProp <[[this]]>  .
                                                ?representation a rso:EX_Digital_Image .
                                                BIND(REPLACE(STR(?representation), "^.*/(.*)$", "$1") as ?imageID) .
                                                BIND(?imageID as ?imgIiifId)
                                                BIND(CONCAT("/proxy/IIIF/iiif/2/", ?imageID, "/full/!640,480/0/default.jpg") AS ?iiifUrl)
                                              }
                                              
                                              BIND(COALESCE(?uploadIiifUrl, ?iiifUrl, ?representation) AS ?imgURL)
                                              BIND(IF(?representationProp = rso:PX_has_main_represenation, true, false) AS ?isMainRep)
                                            } UNION {
                                              <[[this]]>  a rso:EX_Digital_Image ;
                                              OPTIONAL {
                                                <[[this]]>  a rso:EX_Digital_Image ;
                                                crm:P1_is_identified_by/rso:PX_has_file_name ?fileName. 
                                                BIND(CONCAT("/proxy/IIIF/iiif/2/", ?fileName, "/full/!640,480/0/default.jpg") AS ?uploadIiifUrl)
                                              }
                                                  
                                              OPTIONAL {
                                                <[[this]]>  a rso:EX_Digital_Image ;
                                                BIND(REPLACE(STR(<[[this]]> ), "^.*/(.*)$", "$1") as ?imageID) .
                                                BIND(CONCAT("/proxy/IIIF/iiif/2/", ?imageID, "/full/!640,480/0/default.jpg") AS ?iiifUrl)
                                              }
                                              BIND(COALESCE(?uploadIiifUrl, ?iiifUrl, <[[this]]> ) AS ?imgURL)
                                              BIND(true AS ?isMainRep)
                                            }  
                                          } ORDER BY ?imgURL' tuple-template="{{>  imageCarousel}}">
<template id="imageCarousel">
<img height="300" src="{{imgURL.value}}" style="object-fit: contain;" width="480"/>
</template>
<template id="noImages">
<div class="no-media">
        [[i18n "no_images" bundle="languages/resource_itemcardmedia" locale=this.lang]]
       </div>
</template>
</semantic-carousel>
</div>
</bs-tab>
<bs-tab event-key="videos" title="[[i18n 'videos' bundle='languages/resource_itemcardmedia' locale=this.lang]]">
<div class="carousel-container">
<semantic-carousel no-result-template="{{>  noVideo}}" options='{"fade": true }' query="PREFIX rso: <http://www.researchspace.org/ontology/> 
                                          SELECT DISTINCT ?video 
                                          WHERE {
                                              <[[this]]>  rso:PX_has_video ?video .
                                              }" tuple-template="{{>  videoCarousel}}">
<template id="videoCarousel">
<div class="carousel-container">
<iframe allow="accelerometer; encrypted-media; gyroscope; picture-in-picture" allowfullscreen="" frameborder="0" height="300" src="{{video.value}}" width="480">
</iframe>
</div>
</template>
<template id="noVideo">
<div class="no-media">
        [[i18n "no_videos" bundle="languages/resource_itemcardmedia" locale=this.lang]]
       </div>
</template>
</semantic-carousel>
</div>
</bs-tab>
</bs-tabs>
</bs-tab-container>
</div>
